Package com.emc.d2fs.models.preference

# Class ColumnPreference

java.lang.Object
com.emc.d2fs.models.preference.ColumnPreference

All Implemented Interfaces:
  `Serializable`

public class ColumnPreference extends Object implements Serializable

Java class for columnPreference complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="columnPreference">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="columns" type="{http://www.emc.com/d2fs/models/preference}column" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="colType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnPreference()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColType()`
  Gets the value of the colType property.
  `List<Column>`
  `getColumns()`
  Gets the value of the columns property.
  `void`
  `setColType(String value)`
  Sets the value of the colType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ColumnPreference

    public ColumnPreference()

- ## Method Details

  - ### getColumns

    public List<Column> getColumns()
    Gets the value of the columns property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the columns property.

    For example, to add a new item, do as follows:

            getColumns().add(newItem);

    Objects of the following type(s) are allowed in the list `Column`

  - ### getColType

    public String getColType()
    Gets the value of the colType property.
    Returns:
      possible object is `String`

  - ### setColType

    public void setColType(String value)
    Sets the value of the colType property.
    Parameters:
      `value` - allowed object is `String`